Subject: Re: bug#6554: [PATCH] split: Additional suffix for split (bug#6554)

From: Pádraig Brady <[email-masked]>
Date: Sat, 18 Feb 2012 14:24:41 +0000

On 02/18/2012 12:52 PM, Jérémy Compostella wrote:
> All,
> 
> I'm continuing with this feature implementation. Getting advantage on my
> newly acquired experience on this project I made some changes in my
> implementation.
> 
> Now I have a concern about the option name "--suffix". I think the
> --suffix-length, --numeric-suffixes and the new --suffix are confusing
> for the user since the two first are related to the count suffix and the
> last one is an additional suffix appended to the whole output file
> name. I think it would be clearer to replace "--suffix" with something
> like "--additional-suffix". What do you think ?

That's a good point. --additional-suffix is better.

Note csplit has a more general --suffix-format option
(which can be shortened to --suffix).
So one can do: --suffix="%02d.txt".
However that's only possible, because csplit
supports only numeric suffixes.

However, this is starting to make me think
this marginal feature isn't worth it.
For the record, summarising the disadvantages so far:

 Backwards incompat with other systems (including older coreutils).
 Some complexity in understanding/describing various suffix options.
 Interoperability issue with possible future auto suffix len feature.

cheers,
Pádraig.